/*

<The Virtual Lightbox Applet: An image editing applet>
    Copyright (C) <2003>  <University of Maryland>
@Author: Amit Kumar	
Code Released under GPL
@date Jan 19th 2003
*/

/*
<The Virtual Lightbox: An image editing whiteboard application>
    Copyright (C) <2001>  <University of Kentucky>
	Mathew G. Kirschenbaum, Jerzy W. Jaromczyk, Amit Kumar		
*/



import java.awt.*;
import javax.swing.*;


public class ButtonPanel extends JPanel {

	JPanel buttonHolder;
	JToggleButton button[];
	JScrollPane buttonScroll;
	static ButtonPanel bp;
	int nRow, nCol;
	int num = 0;
	LbImageManager lbman;

	final int NUM_BUTTON_ROW = 10;

	final int numButton = 100;

	public ButtonPanel( LbImageManager l){
	lbman = l;
    button =  new JToggleButton[100];
	buttonHolder = new JPanel();
	buttonScroll = new JScrollPane(buttonHolder);
	buttonScroll.setPreferredSize(new Dimension (500,50));
    buttonScroll.setViewportBorder(BorderFactory.createLineBorder(Color.black));
    setLayout(new BoxLayout(this, BoxLayout.X_AXIS));
	add(buttonScroll);
	}


public void removeButton(String fileName)
{
int count=0;
for(count=0;count <= num;count++)
{
  if(button[count] == null)
	return;
if(button[count].getToolTipText().equals(fileName))
{
  this.buttonHolder.remove(button[count]);
}
  if(num-1 != 0) 
  num--;
}
this.buttonScroll.revalidate();
}

public void removeAllButton(){
	for(int count=num-1;count >=0;count--){	 this.buttonHolder.remove(count);}
	num =0;
	this.buttonScroll.revalidate();	
}


public void addButton(Icon icon, String title, String fileName)
{
button[num] = new JToggleButton(fileName,icon, true);
button[num].setToolTipText(fileName);
this.buttonHolder.add(button[num]);
if(num/NUM_BUTTON_ROW == 0)
 nRow = 1; 
else
  nRow = (num/NUM_BUTTON_ROW) + 1;
if(nRow == 1)
  nCol = num;
else
  nCol = NUM_BUTTON_ROW;
if(nRow == 1){
this.buttonHolder.setLayout( new FlowLayout(FlowLayout.LEFT));
}
else	
{
this.buttonHolder.setLayout( new GridLayout(nRow,NUM_BUTTON_ROW,2,2));	
}
this.buttonScroll.revalidate(); 
button[num].setActionCommand("toggle_visibility"+fileName);
button[num].setToolTipText(title);
button[num].addActionListener(lbman);

num++;
}


} 
