/*

<The Virtual Lightbox Applet: An image editing applet>
    Copyright (C) <2003>  <University of Maryland>
@Author: Amit Kumar	
Code Released under GPL
@date Jan 19th 2003
*/


/*
    <The Virtual Lightbox: An image editing whiteboard application>
    Copyright (C) <2001>  <University of Kentucky>
    Mathew G. Kirschenbaum, Jerzy W. Jaromczyk, Amit Kumar		
 
*/
 

import java.awt.*;
import java.awt.image.*;


class Grayscale extends RGBImageFilter implements PlugInFilter {
  public Image filter(javax.swing.JComponent a, Image in, double val) {
    return a.createImage(new FilteredImageSource(in.getSource(), this));
  }

  public int filterRGB(int x, int y, int rgb) {
    int r = (rgb >> 16) & 0xff;
    int g = (rgb >> 8) & 0xff;
    int b = rgb & 0xff;
    int k = (int) (.56 * g + .33 * r + .11 * b);
    return (0xff000000 | k << 16 | k << 8 | k);
  }
}
