/*

<The Virtual Lightbox Applet: An image editing applet>
	Copyright (C) <2003>  <University of Maryland>
@Author: Amit Kumar	
Code Released under GPL
@date Jan 4th 2004 @JMN
**/


import java.io.File;
import javax.swing.ImageIcon;
import java.net.URL;

public class Utils {
    public final static String jpeg = "jpeg";
    public final static String jpg = "jpg";
    public final static String gif = "gif";
    public final static String tiff = "tiff";
    public final static String tif = "tif";
    public final static String png = "png";

    /*
     * Get the extension of a file.
     */
    public static String getExtension(File f) {
        String ext = null;
        String s = f.getName();
        int i = s.lastIndexOf('.');

        if (i > 0 &&  i < s.length() - 1) {
            ext = s.substring(i+1).toLowerCase();
        }
        return ext;
    }

    /** Returns an ImageIcon, or null if the path was invalid. */
    protected static ImageIcon createImageIcon(URL imgURL) {
 //       java.net.URL imgURL = Utils.class.getResource(path);
 if(imgURL == null)
    System.out.println("IMG URL IS NULL");
    
        if (imgURL != null) {
            return new ImageIcon(imgURL);
        } else {
            System.err.println("Couldn't find file: " + imgURL.toString());
            return null;
        }
    }
}
